aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJa.KooLit <85185940+JaKooLit@users.noreply.github.com>2025-02-25 18:53:27 +0900
committerGitHub <noreply@github.com>2025-02-25 18:53:27 +0900
commitb898e3a20eb228fd50c8b010a37b44019b0937b7 (patch)
tree6e3d0b76d0da981dd36100b107d02d27d29f6a0e
parent87fc8f08dfa28a0e9bc801f1356bf2ad1737e5c3 (diff)
parent9d8b2c12c7ed867ce704d035033f2637e62e40b8 (diff)
Merge pull request #583 from JaKooLit/main
main to development
-rw-r--r--config/hypr/UserConfigs/WindowRules.conf2
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperEffects.sh32
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperSelect.sh30
-rwxr-xr-xconfig/hypr/UserScripts/ZshChangeTheme.sh12
-rw-r--r--config/waybar/ModulesWorkspaces5
-rw-r--r--config/waybar/configs/[LEFT] WestWing1
-rw-r--r--config/waybar/configs/[LEFT] WestWing v21
-rw-r--r--config/waybar/configs/[RIGHT] EastWing1
-rw-r--r--config/waybar/configs/[RIGHT] EastWing v21
-rw-r--r--config/wlogout/style.css138
10 files changed, 76 insertions, 147 deletions
diff --git a/config/hypr/UserConfigs/WindowRules.conf b/config/hypr/UserConfigs/WindowRules.conf
index 42ab5710..44ea831e 100644
--- a/config/hypr/UserConfigs/WindowRules.conf
+++ b/config/hypr/UserConfigs/WindowRules.conf
@@ -141,6 +141,8 @@ windowrulev2 = size 70% 60%, title:^(Add Folder to Workspace)$
windowrulev2 = center, title:^(Add Folder to Workspace)$
windowrulev2 = float, initialTitle:(Open Files)
windowrulev2 = size 70% 60%, initialTitle:(Open Files)
+windowrulev2 = float, title:^(SDDM Background)$ #KooL's Dots YAD for setting SDDM background
+windowrulev2 = size 15% 10%, title:^(SDDM Background)$ #KooL's Dots YAD for setting SDDM background
# OPACITY
windowrulev2 = opacity 0.9 0.7, tag:browser*
diff --git a/config/hypr/UserScripts/WallpaperEffects.sh b/config/hypr/UserScripts/WallpaperEffects.sh
index 948c637c..5ddc9fd3 100755
--- a/config/hypr/UserScripts/WallpaperEffects.sh
+++ b/config/hypr/UserScripts/WallpaperEffects.sh
@@ -101,36 +101,22 @@ fi
main
sleep 1
-# Check if user selected a wallpaper
+
if [[ -n "$choice" ]]; then
sddm_sequoia="/usr/share/sddm/themes/sequoia_2"
if [ -d "$sddm_sequoia" ]; then
- notify-send -i "$iDIR/ja.png" "Set wallpaper" "as SDDM background?" \
- -t 10000 \
- -A "yes=Yes" \
- -A "no=No" \
- -h string:x-canonical-private-synchronous:wallpaper-notify
-
- # Wait for user input using dbus-monitor
- dbus-monitor "interface='org.freedesktop.Notifications',member='ActionInvoked'" |
- while read -r line; do
- if echo "$line" | grep -q "yes"; then
+ if yad --question --text="Set wallpaper as SDDM background?\nNOTE: This only applies to SEQUOIA SDDM Theme" --title="SDDM Background" --ok-label="Yes"; then
# Check if terminal exists
- if ! command -v "$terminal" &>/dev/null; then
- notify-send -i "$iDIR/ja.png" "Missing $terminal" "Install $terminal to enable setting of wallpaper background"
- exit 1
- fi
-
+ if ! command -v "$terminal" &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "Missing $terminal" "Install $terminal to enable setting of wallpaper background"
+ exit 1
+ fi
+
+ # Open terminal and set the wallpaper
$terminal -e bash -c "echo 'Enter your password to set wallpaper as SDDM Background'; \
sudo cp -r $wallpaper_output '$sddm_sequoia/backgrounds/default' && \
notify-send -i '$iDIR/ja.png' 'SDDM' 'Background SET'"
- break
- elif echo "$line" | grep -q "no"; then
- echo "Wallpaper not set as SDDM background. Exiting."
- break
- fi
-
- done &
+ fi
fi
fi \ No newline at end of file
diff --git a/config/hypr/UserScripts/WallpaperSelect.sh b/config/hypr/UserScripts/WallpaperSelect.sh
index 78bf8d2f..272797e3 100755
--- a/config/hypr/UserScripts/WallpaperSelect.sh
+++ b/config/hypr/UserScripts/WallpaperSelect.sh
@@ -130,32 +130,18 @@ sleep 1
if [[ -n "$choice" ]]; then
sddm_sequoia="/usr/share/sddm/themes/sequoia_2"
if [ -d "$sddm_sequoia" ]; then
- notify-send -i "$iDIR/ja.png" "Set wallpaper" "as SDDM background?" \
- -t 10000 \
- -A "yes=Yes" \
- -A "no=No" \
- -h string:x-canonical-private-synchronous:wallpaper-notify
-
- # Wait for user input using dbus-monitor
- dbus-monitor "interface='org.freedesktop.Notifications',member='ActionInvoked'" |
- while read -r line; do
- if echo "$line" | grep -q "yes"; then
+ if yad --question --text="Set wallpaper as SDDM background?\nNOTE: This only applies to SEQUOIA SDDM Theme" --title="SDDM Background" --ok-label="Yes"; then
# Check if terminal exists
- if ! command -v "$terminal" &>/dev/null; then
- notify-send -i "$iDIR/ja.png" "Missing $terminal" "Install $terminal to enable setting of wallpaper background"
- exit 1
- fi
-
+ if ! command -v "$terminal" &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "Missing $terminal" "Install $terminal to enable setting of wallpaper background"
+ exit 1
+ fi
+
+ # Open terminal to enter password
$terminal -e bash -c "echo 'Enter your password to set wallpaper as SDDM Background'; \
sudo cp -r $wallpaper_current '$sddm_sequoia/backgrounds/default' && \
notify-send -i '$iDIR/ja.png' 'SDDM' 'Background SET'"
- break
- elif echo "$line" | grep -q "no"; then
- echo "Wallpaper not set as SDDM background. Exiting."
- break
- fi
-
- done &
+ fi
fi
fi \ No newline at end of file
diff --git a/config/hypr/UserScripts/ZshChangeTheme.sh b/config/hypr/UserScripts/ZshChangeTheme.sh
index fafd7fb0..4919a890 100755
--- a/config/hypr/UserScripts/ZshChangeTheme.sh
+++ b/config/hypr/UserScripts/ZshChangeTheme.sh
@@ -5,13 +5,19 @@
# preview of theme can be view here: https://github.com/ohmyzsh/ohmyzsh/wiki/Themes
# after choosing theme, TTY need to be closed and re-open
-themes_dir="$HOME/.oh-my-zsh/themes"
-file_extension=".zsh-theme"
-
# Variables
iDIR="$HOME/.config/swaync/images"
rofi_theme="$HOME/.config/rofi/config-zsh-theme.rasi"
+if [ -n "$(grep -i nixos < /etc/os-release)" ]; then
+ notify-send -i "$iDIR/ja.png" "NOT Supported" "Sorry NixOS does not support this KooL feature"
+ exit 1
+fi
+
+themes_dir="$HOME/.oh-my-zsh/themes"
+file_extension=".zsh-theme"
+
+
themes_array=($(find -L "$themes_dir" -type f -name "*$file_extension" -exec basename {} \; | sed -e "s/$file_extension//"))
# Add "Random" option to the beginning of the array
diff --git a/config/waybar/ModulesWorkspaces b/config/waybar/ModulesWorkspaces
index f6071a69..c49c8359 100644
--- a/config/waybar/ModulesWorkspaces
+++ b/config/waybar/ModulesWorkspaces
@@ -210,10 +210,11 @@
"class<com.obsproject.Studio>": " ",
"class<polkit-gnome-authentication-agent-1>": "󰒃 ",
"class<nwg-look>": " ",
- "class<zen-alpha>": "󰰷 ", //Zen Browser
+ "class<zen>": "󰰷 ", //Zen Browser
"class<waterfox|waterfox-bin>": " ",
"class<microsoft-edge>": " ",
- "class<vlc>": "󰕼 "
+ "class<vlc>": "󰕼 ",
+ "class<steam>": " "
}
},
diff --git a/config/waybar/configs/[LEFT] WestWing b/config/waybar/configs/[LEFT] WestWing
index e0632ace..1306ebba 100644
--- a/config/waybar/configs/[LEFT] WestWing
+++ b/config/waybar/configs/[LEFT] WestWing
@@ -28,6 +28,7 @@
],
"modules-center": [
+ "idle_inhibitor",
"hyprland/workspaces",
],
diff --git a/config/waybar/configs/[LEFT] WestWing v2 b/config/waybar/configs/[LEFT] WestWing v2
index 1937f0c7..4392d6e2 100644
--- a/config/waybar/configs/[LEFT] WestWing v2
+++ b/config/waybar/configs/[LEFT] WestWing v2
@@ -30,6 +30,7 @@
],
"modules-center": [
+ "idle_inhibitor",
"hyprland/workspaces#numbers",
],
diff --git a/config/waybar/configs/[RIGHT] EastWing b/config/waybar/configs/[RIGHT] EastWing
index 34fcb29a..b7387377 100644
--- a/config/waybar/configs/[RIGHT] EastWing
+++ b/config/waybar/configs/[RIGHT] EastWing
@@ -28,6 +28,7 @@
],
"modules-center": [
+ "idle_inhibitor",
"hyprland/workspaces",
],
diff --git a/config/waybar/configs/[RIGHT] EastWing v2 b/config/waybar/configs/[RIGHT] EastWing v2
index 99001d53..34ce69ca 100644
--- a/config/waybar/configs/[RIGHT] EastWing v2
+++ b/config/waybar/configs/[RIGHT] EastWing v2
@@ -30,6 +30,7 @@
],
"modules-center": [
+ "idle_inhibitor",
"hyprland/workspaces#numbers",
],
diff --git a/config/wlogout/style.css b/config/wlogout/style.css
index 4fc19b09..b8341e9a 100644
--- a/config/wlogout/style.css
+++ b/config/wlogout/style.css
@@ -6,140 +6,84 @@
window {
font-family: "FantasqueSansM Nerd Font Mono Bold";
- font-size: 125%;
- background-color: rgba(30, 30, 46, 0.9);
+ font-size: 24pt;
+ color: @foreground; /* text */
+ background-color: rgba(30, 30, 46, 0.6);
}
button {
- font-family: "FantasqueSansM Nerd Font Mono Bold";
+ margin: 20px;
background-repeat: no-repeat;
- background-size: 10%;
+ background-position: center;
+ background-size: 30%;
background-color: rgba(200, 220, 255, 0);
animation: gradient_f 10s ease-in infinite;
- transition: all 0.3s ease, box-shadow 0.2s ease-in-out, background-color 0.2s ease-in-out;
- border: 2px solid transparent;
- border-radius: 30%;
- margin: 0px;
- padding: 0px;
- transition: all 0.3s ease;
- background-position: center;
+ transition: all 0.3s cubic-bezier(.55, 0.0, .28, 1.682), box-shadow 0.2s ease-in-out, background-color 0.2s ease-in-out;
+ border-radius: 80px;
+ border:0px;
}
button:focus {
- background-size: 20%;
- border: 0px;
- border-radius: 30%;
+ background-size: 40%;
+ border: 0px;
+ border-radius: 80px;
+
}
button:hover {
- background-color: transparent;
- color: @color13;
- border-radius: 40%;
- background-size: 30%;
- box-shadow: 0 0 100px @color12;
+ background-color: transparent;
+ color: @color11;
+ background-size: 40%;
+ margin: -20px;
+ border-radius: 80px;
+ /*box-shadow: 0 0 30px @color7;*/
+
}
-/* Port Side */
-#lock {
- padding-right: 200px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: -200px;
- background-image: image(url("./icons/lock.png"));
-}
-#lock:hover {
- padding-left: 200px;
- padding-right: 0px;
- margin-right: 0px;
- margin-left: -200px;
- background-image: image(url("./icons/lock-hover.png"));
+/* Adjust the size of the icon or content inside the button */
+button span {
+ font-size: 1.2em; /* Increase the font size */
}
-#reboot {
- padding-right: 200px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: -200px;
- background-image: image(url("./icons/restart.png"));
-}
-#reboot:hover {
- padding-left: 200px;
- padding-right: 0px;
- margin-right: 0px;
- margin-left: -200px;
- background-image: image(url("./icons/restart-hover.png"));
-}
-/* Midship */
-#shutdown {
- padding-bottom: 0px;
- padding-top: 0px;
- padding-right: 0px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: 0px;
- margin-top: -200px;
- background-image: image(url("./icons/power.png"));
+#lock {
+ background-image: image(url("./icons/lock.png"));
}
-#shutdown:hover {
- padding-top: 0px;
- padding-bottom: 0px;
- padding-right: 0px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: 0px;
- margin-top: -200px;
- background-image: image(url("./icons/power-hover.png"));
+#lock:hover {
+ background-image: image(url("./icons/lock-hover.png"));
}
#logout {
- padding-top: 0px;
- padding-bottom: 0px;
- padding-right: 0px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: 0px;
- margin-bottom: -200px;
background-image: image(url("./icons/logout.png"));
}
#logout:hover {
- padding-bottom: 00px;
- padding-top: 0px;
- padding-right: 0px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: 0px;
- margin-bottom: -200px;
background-image: image(url("./icons/logout-hover.png"));
}
-/* Starboard */
#suspend {
- padding-left: 200px;
- padding-right: 0px;
- margin-right: 0px;
- margin-left: -200px;
background-image: image(url("./icons/sleep.png"));
}
#suspend:hover {
- padding-right: 200px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: -200px;
background-image: image(url("./icons/sleep-hover.png"));
}
+#shutdown {
+ background-image: image(url("./icons/power.png"));
+}
+#shutdown:hover {
+ background-image: image(url("./icons/power-hover.png"));
+}
+
+#reboot {
+ background-image: image(url("./icons/restart.png"));
+}
+#reboot:hover {
+ background-image: image(url("./icons/restart-hover.png"));
+}
+
#hibernate {
- padding-left: 200px;
- padding-right: 0px;
- margin-right: 0px;
- margin-left: -200px;
background-image: image(url("./icons/hibernate.png"));
}
#hibernate:hover {
- padding-right: 200px;
- padding-left: 0px;
- margin-left: 0px;
- margin-right: -200px;
background-image: image(url("./icons/hibernate-hover.png"));
}
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage